=== debian/changelog ===
ztex-ezusb (20110912-2) unstable; urgency=low

  * Added Makefile.mk to /usr/share/ztex

 -- Steffen Moeller <moeller@debian.org>  Sun, 09 Oct 2011 14:27:23 +0200

ztex-ezusb (20110912-1) experimental; urgency=low

  * Initial release (Closes: #641938).

 -- Steffen Moeller <moeller@debian.org>  Thu, 28 Jul 2011 00:55:59 +0200
