=== debian/control ===
Source: ztex-ezusb
Section: science
Priority: extra
Maintainer: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: libusb-java
Standards-Version: 3.9.2
Homepage: http://www.ztex.de
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-escience/ztex-ezusb/trunk/
Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-escience/ztex-ezusb/trunk

Package: ztex-ezusb
Architecture: all
Depends: ${misc:Depends},
 ztex-ezusb-fwloader (= ${binary:Version}), ztex-ezusb-fx2-firmware-kit (= ${binary:Version})
Recommends: getdata
Description: meta package for the programming of ZTEX EZ-USB boards
 The ZTEX environment facilitates the programming and control of Cypres
 EZ-USB FX2 microcontrollers with and without FPGA.  The package serves
 as a meta package to install all subpackages and provides instructions
 to Debian's getData tool for the download of examples.

Package: ztex-ezusb-fx2-firmware-kit
Architecture: all
Depends: ${misc:Depends}, ztex-bmp, sdcc
Suggests: ztex-java
Description: EZ-USB FX2 firmware development kit.
 This package provides a firmware development kit for Cypress EZ-USB FX2
 microcontrollers. It was developed for ZTEX FPGA boards but can be
 used with all EZ-USB FX2 based devices.
 .
 With this kit, all required settings, e.g. endpoint configuration,
 may be specified by just a few macro commands. USB descriptors and the
 descriptor handling are generated automatically. This was facilitated
 by the bmp macro processor.
 .
 Please see http://www.ztex.de/firmware-kit for more information.
 
Package: ztex-ezusb-fwloader
Architecture: all
Depends: ${misc:Depends}, libusb-java
Description: firmware and bitsream upload for EZ-USB microcontroller
 This package contains FWLoader, a firmware and bitstream upload
 utility for the Cypress EZ-USB FX2 microcontroller, and the Java API
 that implemented it.
 .
 The API is designed for devices running the ZTEX EZ-USB FX2 Firmware
 Kit Core features of the combination of the Firmware Kit and the Java
 API of this package are:
  * Bitstream upload directly to FPGA and to Flash memory 
    (firmware supports bitstream loading from Flash)
  * Access to NVM's, namely EEPROM and microSD/*SD/MMC Flash cards
  * MAC-EEPROM support

Package: ztex-ezusb-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Suggests: ztex-ezusb, libusb-java-doc
Description: documentation for ztex and ztex-java
 A general introduction and javadoc documentation for ZTEX.
