=== docs/Makefile ===
.PHONY: docs java

all: java

java:
	javadoc ztex ch.ntb.usb -classpath ../libusbJava-src:../java -d java

distclean: 
	rm -fr java
