=== java/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 INSTALLFILE=$(INSTALL) -m 0644
 
 CLASSPATH:=.:$(ZTEXPREFIX)/libusbJava:$(ZTEXPREFIX)/java:/usr/local/share/java:/usr/share/java:$(CLASSPATH)
-CLASSEXTRADEPS:=$(shell echo ztex/*.java)
+CLASSEXTRADEPS:=$(wildcard ztex/*.java)
 
 ifndef PREFIX
   PREFIX=/usr/local
@@ -44,11 +44,11 @@
 endif
 
 ifndef BINDIR
-  BINDIR=$(DESTDIR)/$(PREFIX)/bin
+  BINDIR=$(DESTDIR)$(PREFIX)/bin
 endif
 
 ifndef MANDIR
-  MANDIR=$(PREFIX)/share/man/man1
+  MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1
 endif
 
 all : jar
