=== debian/changelog ===
ztex-ezusb (20111017-2) unstable; urgency=low

  * Added default-jdk to build-depends (Closes: #646667)

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Jan 2012 15:53:58 +0100

ztex-ezusb (20111017-1) unstable; urgency=low

  * New upstream release.

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Jan 2012 11:12:03 +0100

ztex-ezusb (20110912-2) experimental; urgency=low

  * Move from experimental to unstable.

 -- Steffen Moeller <moeller@debian.org>  Thu, 29 Jul 2011 00:55:59 +0200
