=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper (>= 8.0.0)
-Build-Depends-Indep: libusb-java
+Build-Depends-Indep: libusb-java, default-jdk|java6-sdk
 Standards-Version: 3.9.2
 Homepage: http://www.ztex.de
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-escience/ztex-ezusb/trunk/
@@ -23,7 +23,6 @@
 Package: ztex-ezusb-fx2-firmware-kit
 Architecture: all
 Depends: ${misc:Depends}, ztex-bmp, sdcc
-Suggests: ztex-java
 Description: EZ-USB FX2 firmware development kit.
  This package provides a firmware development kit for Cypress EZ-USB FX2
  microcontrollers. It was developed for ZTEX FPGA boards but can be
