=== debian/watch ===
version=3
http://www.ztex.de/downloads/ztex-([0-9]+).tar.bz2
